summaryrefslogtreecommitdiff
path: root/plugins/shell-proxy/shell-proxy.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/shell-proxy/shell-proxy.plugin.zsh')
-rw-r--r--plugins/shell-proxy/shell-proxy.plugin.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/plugins/shell-proxy/shell-proxy.plugin.zsh b/plugins/shell-proxy/shell-proxy.plugin.zsh
index 4fdbe9322..f6c31da45 100644
--- a/plugins/shell-proxy/shell-proxy.plugin.zsh
+++ b/plugins/shell-proxy/shell-proxy.plugin.zsh
@@ -27,7 +27,7 @@ eval '
# capture the output of the proxy script and bail out if it fails
local output
- output="$(SHELLPROXY_URL="$SHELLPROXY_URL" SHELLPROXY_CONFIG="$SHELLPROXY_CONFIG" "$proxy" "$1")" ||
+ output="$(SHELLPROXY_URL="$SHELLPROXY_URL" SHELLPROXY_NO_PROXY="$SHELLPROXY_NO_PROXY" SHELLPROXY_CONFIG="$SHELLPROXY_CONFIG" "$proxy" "$1")" ||
return $?
# evaluate the output generated by the proxy script